<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.15
Name: Problem Entry Allergien-Reaktion
Description: Entry für die Alllergie-Reaktion 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.15-2017-04-13T170930">
   <title>Problem Entry Allergien-Reaktion</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]"
         id="d20e9536-false-d38813e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]"
         id="d20e9547-false-d38836e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@classCode) = ('OBS')">(ProblemEntryAllergyReaction): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@moodCode) = ('EVN')">(ProblemEntryAllergyReaction): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="@negationInd">(ProblemEntryAllergyReaction): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemEntryAllergyReaction): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.1.3.6']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.1.3.6']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:id) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:id) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.15']"
         id="d20e9555-false-d38947e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.15')">(ProblemEntryAllergyReaction): Der Wert von root MUSS '1.2.40.0.34.11.13.3.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.2.40.0.34.11.1.3.6']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.2.40.0.34.11.1.3.6']"
         id="d20e9560-false-d38962e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@root) = ('1.2.40.0.34.11.1.3.6')">(ProblemEntryAllergyReaction): Der Wert von root MUSS '1.2.40.0.34.11.1.3.6' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']"
         id="d20e9566-false-d38977e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.5')">(ProblemEntryAllergyReaction): Der Wert von root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.5' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']"
         id="d20e9571-false-d38992e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.28')">(ProblemEntryAllergyReaction): Der Wert von root MUSS '2.16.840.1.113883.10.20.1.28' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:id
Item: (ProblemEntryAllergyReaction)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e9578-false-d39017e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemEntryAllergyReaction): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.35 ELGA_Problemarten (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:originalText) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.35-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText"
         id="d20e9589-false-d39043e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:text[not(@nullFlavor)]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:text[not(@nullFlavor)]"
         id="d20e9592-false-d39053e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d20e9594-false-d39072e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:statusCode[@code = 'completed']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:statusCode[@code = 'completed']"
         id="d20e9603-false-d39083e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="@nullFlavor or (@code='completed')">(ProblemEntryAllergyReaction): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d20e9609-false-d39099e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']"
         id="d20e9611-false-d39110e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="@nullFlavor or (@code='Code aus Value Set ELGA_AllergyReaction_VS')">(ProblemEntryAllergyReaction): Der Elementinhalt MUSS einer von 'code 'Code aus Value Set ELGA_AllergyReaction_VS'' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &gt;= 1">(ProblemEntryAllergyReaction): Element hl7:originalText[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &lt;= 1">(ProblemEntryAllergyReaction): Element hl7:originalText[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']/hl7:originalText[not(@nullFlavor)]
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']/hl7:originalText[not(@nullFlavor)]"
         id="d20e9620-false-d39137e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']/hl7:translation
Item: (ProblemEntryAllergyReaction)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]/hl7:observation[hl7:templateId[@root = '1.2.40.0.34.11.13.3.15'] and hl7:templateId[@root = '1.2.40.0.34.11.1.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]/hl7:value[@code = 'Code aus Value Set ELGA_AllergyReaction_VS']/hl7:translation"
         id="d20e9622-false-d39147e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgabbr-html-20190107T134043/tmp-1.2.40.0.34.11.13.3.15-2017-04-13T170930.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemEntryAllergyReaction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
